/* ===== LIGHT THEME (default) ===== */


:root {

    --bg-color: #eff2f8;
    --text-color: #111111e2;
    --bg2-color: #05050532;

    /* --box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08); */
    --box-shadow: 0 1px 2px rgba(0, 0, 0, 0.609);

    --hfa-body: #000000ec;
    --hfa-text: #fffffff4;

    --btn: #310085;
    --tital: #05a8bd;

    --headr-body: #0d1117;
    --headr-text: #eff2f8cf;

    --transform: translateY(-10px);
    --transform-bg: #e5f2fdb8;

    --box-shadow-hover: 0px 0px 1px 1px;

     --hero-bg: #8f7fe9;


}

body.dark-mode {

    --hero-bg:  #764ba2;

     
    --bg-color: #0d1117;
    --text-color: #f0f6fc;
    --bg2-color: #ffffff5b;


    /* --box-shadow: 0 10px 25px rgba(84, 84, 84, 0.498); */
    --box-shadow: 0 1px 2px rgb(255, 255, 255);
    --transform-bg: #a46ff379;


    /* --hfa-body: #ffffff;
     --hfa-text: #141414; */

    --hfa-body: #000000ec;
    --hfa-text: #fffffff4;


    --headr-body: #111111cf;
    --headr-text: #eff2f8cf;
}

body {
    background-color: var(--bg-color);
    color: var(--text-color);
    transition: background-color 0.3s, color 0.3s;
}

#theme-toggle {
    border: none;
    background: transparent;
    font-size: 15px;
    cursor: pointer;
}



.main-content {
    background-color: var(--bg-color, white);
    color: var(--text-color, rgb(11, 11, 11));
}